# 🚀 LibreGaming Design System!

This project contains code and styles useful for those wanting to copy the look and feel of LibreGaming. This serves to bring consistency to across LibreGaming service and avoid repeating work.	

## Run locally
Web files are provided in `public` folder, you can view them via a Web Browser. The files are ready, no need to setup a build environment. 

For those looking to copy beautiful layout and styles, include `style.css` inside your html files. Extra functionality, such as dropdown menus, is enabled by also including 'app.js' inside your html files.

Once done, you can begin using the style definitions within HTML elements. For example, `text-lightblue` renders text with LibreGaming's blue branding colours.

### Assets
Assets such as logos are available inside `src/assets`.

## Development 
You will need Node.js installed if you want to develop the project's code.

```
npm run build
```

to bundle your application
